<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 700
	});
			
	popup.addEvent('loaded', function () {
		new mootabs('value-tabs', { width: null, height: 'auto' });
	});
	
	/* ----------------------- EDIT ---------------------- */
	var popupEdit = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 700
	});
		
	popupEdit.addEvent('loaded', function () {		
		new mootabs('value-tabs-edit', { width: null, height: 'auto' });	
	});	
	/* ----------------------- END  EDIT ---------------------- */
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Title', field: 'title', type: 'string', sortable: true },
			{ title: 'Question <img src="/img/flags/en.png" />', field: 'question_en', type: 'string', sortable: true, width: '350px' },
			<? if (Cubix_Application::getId() == APP_EF): ?>
			{ title: 'Question <img src="/img/flags/it.png" />', field: 'question_it', type: 'string', sortable: true, width: '350px' },
			<? else: ?>
			{ title: 'Answer <img src="/img/flags/en.png" />', field: 'answer_en', type: 'FaqAnswer', sortable: true, width: '350px' },
			<? endif; ?>
			{ title: 'Type', field: 'type', type: 'string', sortable: true, width: '60px' },
			{ title: 'Active', field: 'status', type: 'ToggleActiveFAQ', sortable: true, width: '60px' }
		],
		sort: {
			field: 'id',
			dir: 'asc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '/system/faq/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.overlay.enable();
						grid.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popupEdit.setTitle('Edit FAQ');
			popupEdit.load('/system/faq/edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '/system/faq/data', params: getFilterParams })
	});
	
	grid.addEvent('loaded', function () {
		$$('.cx-grid-type-ToggleActiveFAQ a').addEvent('click', function (e) {
			e.stop();
			new Request({
				url: this.get('href'),
				method: 'get',
				onSuccess: function(){
					grid.load();
				}
			}).send();
		});
	});
	
	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add FAQ'),
		popup.load('<?= $this->baseUrl() ?>/system/faq/create', popup.open);
	}, icon: 'add', caption: 'Add FAQ' });

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});
	};

	initFormSubmit();
};
</script>

<style type="text/css">
	#faq_types input.checkbox { display: block; float: left }
	#faq_types label { float: left }
	#types { margin-bottom: 10px; }
</style>

<div class="form-common gray c-filter-form">
	<form>
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="title">Title</label>
				<input id="title" type="text" class="txt w18" name="title" value="" />
			</div>

			<div class="inner">
				<label for="question">Question</label>
				<input id="question" type="text" class="txt w18" name="question" value="" />
			</div>

			<div class="inner">
				<label for="answer">Answer</label>
				<input id="answer" type="text" class="txt w18" name="answer" value="" />
			</div>

			<div class="inner">
				<label for="type">Type</label>
				<select name="type" id="type">
					<option value="">--- Any ---</option>
					<option value="<?= Model_System_Faq::FAQ_TYPE_ESCORT ?>"><?= Model_System_Faq::FAQ_TYPE_ESCORT ?></option>
					<option value="<?= Model_System_Faq::FAQ_TYPE_AGENCY ?>"><?= Model_System_Faq::FAQ_TYPE_AGENCY ?></option>
					<option value="<?= Model_System_Faq::FAQ_TYPE_MEMBER ?>"><?= Model_System_Faq::FAQ_TYPE_MEMBER ?></option>
					<option value="<?= Model_System_Faq::FAQ_TYPE_ADMIN ?>"><?= Model_System_Faq::FAQ_TYPE_ADMIN ?></option>
					<option value="<?= Model_System_Faq::FAQ_TYPE_SALES ?>"><?= Model_System_Faq::FAQ_TYPE_SALES ?></option>
				</select>
			</div>
			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div class="mt10">
	<a id="btn-create"></a>
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
